## org.cybergarage.upnp.control
Class RenewSubscriber

    java.lang.Object
      org.cybergarage.util.ThreadCore
          org.cybergarage.upnp.control.RenewSubscriber

All Implemented Interfaces:
  Runnable

    public class RenewSubscriber

extends ThreadCore

Field Summary
`static long` `INTERVAL`

Constructor Summary
`RenewSubscriber(ControlPoint ctrlp)`

Method Summary
`ControlPoint` `getControlPoint()`
`void` `run()`
`void` `setControlPoint(ControlPoint ctrlp)`

Methods inherited from class org.cybergarage.util.ThreadCore
`getThreadObject, isRunnable, restart, setThreadObject, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERVAL

    public static final long INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### RenewSubscriber

    public RenewSubscriber(ControlPoint ctrlp)

Method Detail

### setControlPoint

    public void setControlPoint(ControlPoint ctrlp)

### getControlPoint

    public ControlPoint getControlPoint()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `ThreadCore`